directories:
  output: dist_electron
  buildResources: public
appId: com.manos.dsktp
productName: Manos AI
files:
  - filter:
      - dist/**/*
      - electron/**/*
      - package.json
      - .env.example
      - audio/**/*
      - public/**/*
win:
  target:
    - nsis
  icon: public/logo.png
  verifyUpdateCodeSignature: false
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  shortcutName: Manos AI
  artifactName: ${productName}-Setup-${version}.${ext}
extraMetadata:
  main: electron/main.js
extraResources:
  - from: .env.example
    to: .env.example
  - from: audio
    to: audio
  - from: public
    to: public
  - from: wake_word_bg.py
    to: wake_word_bg.py
  - from: stt_test.py
    to: stt_test.py
publish:
  provider: generic
  url: https://updates.manosai.site/releases
electronVersion: 34.5.8
